Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 88346 - Call Stack. For class members "this" shown as one of parameters.
Call Stack. For class members "this" shown as one of parameters.
Status: RESOLVED WONTFIX
Product: cnd
Classification: Unclassified
Component: Debugger
5.x
All All
: P3 (vote)
: 6.x
Assigned To: issues@cnd
issues@cnd
:
Depends on: 87053
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-31 17:00 UTC by Sergey Grinev
Modified: 2009-06-25 10:59 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Grinev 2006-10-31 17:00:03 UTC
Use Case:
1. Create Quote project from Samples.
2. Put breakpoint in first line Customer::Customer(char* name, int discount)
3. Run Debug and enter random data
4. Open Call Stack on stopping at breakpoint
Expected: 2 parameters: "name" and "discount"
Observed: 3 parameters: "this", "name" and "discount"
Comment 1 Nikolay Molchanov 2006-11-23 08:44:49 UTC
Now Call Stack window does not show parameters, so this issue can be closed 
or defered until we implement IZ 87053 "Call Stack Window should show
function(args...)". I changed the status to LATER, and marked that this
IZ depends on IZ 87053.
Comment 2 Leonid Lenyashin 2008-11-13 16:58:58 UTC
Please check if it still the case. If not then just close it.
Comment 3 Sergey Grinev 2008-11-14 16:15:53 UTC
Can't be verified, cause in latest builds there are no parameters shown in the Call Stack (see 87053). I am returning
this bug to REMIND status to get back after #87953 get implemented.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo